Sunday, February 9, 2014

LEGO Harry Potter Years 5-7 3D Vision Fix

3D Vision Fix by mike_ar69

Summary
Fixes the game to work with any convergence and separation.  The game by default not only locks convergence at much too high value, it ties it to separation adjustment.  Some of the default convergence settings in cut scenes require almost zero depth to be tolerable, and the convergence also changes dynamically quite a lot, so you can't change the settings on the fly very easily.


Fixed
- All the double imaging and haloing
- Shadows
- Lights
- Water

Adds:
- Convergence presets on keys F4 and F5.

Notes:
- TURN OFF MOTION BLUR if you get polygon flickering.
- TURN OFF BLOOM (this will render at screen depth otherwise)
- The targeting reticule is at screen depth.
- The two convergence settings provided (0.2 and 1.0) can be changed by pressing the F4 and F5 keys, changing settings then pressing F7 and they will be saved.
- HUD renders incorrectly for convergence <> 1.  I am looking into this for all the lego games.
- You must use an alternative LEGO (e.g. LOTR) profile for the shadow/light fixes to work.  I don't know why, since all the other lego games are fine.

Installation
Steps:
1. Extract this zip file to the games exe directory.  In my case this is D:\Steam\steamapps\common\LEGO Harry Potter Years 5-7.
2. Change the game profile in Nvidia Inspector to another LEGO game - LEGO LOTR works.
3 Run the game.

2 comments:

  1. This game is now working again with the latest 337.88 drivers, but some shadows are off, I think there was a game update. I will fix as soon as I can.

    ReplyDelete
    Replies
    1. No it all works, I had forgotten to switch to Lego LOTR profile.

      Delete